"{ Encoding: utf8 }"

"
 COPYRIGHT (c) 2001 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
"{ Package: 'stx:libbasic' }"

"{ NameSpace: Smalltalk }"

HaltInterrupt subclass:#BreakPointInterrupt
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Kernel-Exceptions-Control'
!

!BreakPointInterrupt class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 2001 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
!

documentation
"
    Raised by the breakpoint wrapper code or by line breakpoints.
    A debug-breakpoint (see browser's methodList-debug menu).
"
! !

!BreakPointInterrupt methodsFor:'accessing'!

lineBreakpoint
    "for line breakpoints, a non-nil breakpoint object is returned,
     which can be enabled/disabled.
     For method breakpoints, nil is returned."
     
    ^ parameter

    "Created: / 27-05-2019 / 20:45:45 / Claus Gittinger"
! !

!BreakPointInterrupt class methodsFor:'documentation'!

version
    ^ '$Header$'
! !

